import 'package:flutter/material.dart';

class SettingsScreen extends StatelessWidget {
  const SettingsScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Paramètres'),
        backgroundColor: Colors.black,
        elevation: 0,
      ),
      body: ListView(
        children: [
          ListTile(
            leading: Icon(Icons.account_circle, color: Colors.blueAccent),
            title: const Text('Compte', style: TextStyle(color: Colors.white)),
            onTap: () {
              // Logique pour gérer l'option Compte
            },
          ),
          ListTile(
            leading: Icon(Icons.notifications, color: Colors.blueAccent),
            title: const Text('Notifications', style: TextStyle(color: Colors.white)),
            onTap: () {
              // Logique pour gérer les notifications
            },
          ),
          ListTile(
            leading: Icon(Icons.lock, color: Colors.blueAccent),
            title: const Text('Sécurité', style: TextStyle(color: Colors.white)),
            onTap: () {
              // Logique pour gérer la sécurité
            },
          ),
          ListTile(
            leading: Icon(Icons.help, color: Colors.blueAccent),
            title: const Text('Aide', style: TextStyle(color: Colors.white)),
            onTap: () {
              // Logique pour gérer l'aide
            },
          ),
          ListTile(
            leading: Icon(Icons.info, color: Colors.blueAccent),
            title: const Text('À propos', style: TextStyle(color: Colors.white)),
            onTap: () {
              // Logique pour gérer les informations À propos
            },
          ),
        ],
      ),
      backgroundColor: Colors.black,
    );
  }
}
